ECHO OFF
IF (%SDL%) == () SET SDL=S
IF (%SDL%) == () GOTO ENVIRON
sdl_get B
sdl_get P
IF ERRORLEVEL 1 GOTO first
ECHO The system check indicates that there may not be a printer attached.
sdl_get N "Continue with printing DEMO anyway (Y,n)? "
IF ERRORLEVEL 126 GOTO END
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 GOTO end
:first
ECHO * * *
ECHO Now we will use your printer to demonstrate the printing capabilities
ECHO of SDL.  There are 6 print parameters, the first 2 on the command line:
ECHO      /L for automatic Label printing.
ECHO      /P to pop up the print options menu.
ECHO  And the last 4 from the print menu:
ECHO      L to Write labels in compressed print, 8 lines per inch.
ECHO      R for Regular pRint - your printer settings will not be changed.
ECHO      I to print sleeve Inserts, compressed, 8 lines per inch.
ECHO      T for Tiny print using compressed and superscript.
ECHO * * *
ECHO L can fit 5 file names in each column on a standard label, or
ECHO 7 if H is used to suppress the first two lines of the header.
ECHO This means that you can get up to 42 names on a label with L. T can fit
ECHO fit 11 or more file names in each column, so with 6 columns you can get
ECHO 66 file names on one label.  If you use the H option to eliminate the
ECHO first two lines of the header, you can get 13 names per column for
ECHO a maximum of 78 names on the 5 x 1-7/16" labels provided with SDL.
ECHO (SDLSETUP will let you increase these numbers if your printer
ECHO can handle more.)
ECHO * * *
pause
ECHO Don't bother to load your printer with labels for this demo.
ECHO Regular paper will work nicely for now.
ECHO * * *
ECHO Sorry, but there is no way to demonstrate the printing features without
ECHO changing the Top Of Form (TOF) setting of your printer. SDL will
ECHO return your printer to its normal print mode, all that is necessary
ECHO for you to do is just realign your paper when finished.
ECHO * * *
sdl_get N "Is this acceptable (Y,n)? "
if errorlevel 126 goto end
If errorlevel 89 goto continue
ECHO * * *
ECHO Please note that you can set the sleeve Insert option (/I) to eject
ECHO a full page with SDLSETUP if you want to.  Then it will not disturb
ECHO your TOF setting.
ECHO * * *
sdl_get N "Do you really want to exit (Y,n)? "
if errorlevel 89 goto end
:continue
sdl_get B
ECHO * * *
ECHO When you are using SDL to print, if you exit with Ctrl-C or Ctrl-Break
ECHO you will not give SDL a chance to return your printer to its normal
ECHO setting.  Always exit normally by using space or Enter or Esc.
:second
ECHO * * *
ECHO To start with, the L option will be demonstrated.
ECHO * * *
ECHO This is completely automatic and so easy that it is not all that
ECHO exciting to demonstrate.  The /L (for Label) option automatically
ECHO determines an appropriate way to print the number of files you have
ECHO selected.  The automatic calculation is only available from the command
ECHO line.  It is not available as a menu item because at that point WYSIWYG
ECHO (what you see is what you get) and you can make your own selections.  
ECHO This is how SDL lets you keep control if you want to.
ECHO The command is simply
ECHO * * *
ECHO SDL /L/M
ECHO * * *
ECHO The optional /M is for More and toggles off the pause at the end.
pause
SDL /L/M
ECHO Note that if you have more files than will fit on a label SDL
ECHO will report that fact and exit without printing.
pause
:third
ECHO * * *
ECHO This time the DEMO will require your cooperation.  The /P option
ECHO will pop up the print option menu.  We will let you select L, R, I, or T
ECHO from the menu to print the way you want to. You may try several
ECHO different selections, but after each one you have to press P
ECHO to bring up the print menu again.
ECHO * * *
ECHO When you use /P on the command line, the FIRST time the print
ECHO menu pops up, and ONLY the first time, L or T will cause the
ECHO number of columns to be adjusted to fit on a label, or you will
ECHO see the report that there are too many files for a label.
ECHO However, when you select P from the menu, the number of columns
ECHO has already been set and will not be changed.  To change columns
ECHO at that point use the 2, 4, or 6 menu selections instead.
ECHO * * *
sdl_get N "Enter Y to continue, N to repeat the previous demo (Y,n)? "
if errorlevel 126 goto end
if errorlevel 78 if not errorlevel 79 goto second
sdl_get B
ECHO With R your printer will print in its normal fashion.  You can experiment
ECHO with different column options if you like.  Notice that the prompting
ECHO information (menu) is not printed, so even if SDL pauses, your output
ECHO looks OK.  You can also turn off the top two header lines if you like.
ECHO * * *
ECHO The I option prints in compressed mode, but the number of columns
ECHO is adjusted for the size of the screen, not for a label.  This
ECHO is used to print in an appropriate size to cut out and slip into
ECHO the diskette envelope.
ECHO * * *
ECHO Pressing Esc turns printing off, Return [CR] makes no change.
ECHO The command is
ECHO * * *
ECHO SDL /P/C
ECHO The optional /C will suppress the clearing of the screen.  You
ECHO can cause the screen to clear and the printer to eject the label
ECHO by pressing the C (for Cls) key when shown on the menu.  Note
ECHO the [ff ON] or [ff OFF] depending on whether you have set form feed
ECHO ON or OFF using the Cls selection.
pause
SDL /P/C
sdl_get B
ECHO * * *
ECHO Although it may be convenient to do so, it is not absolutely necessary
ECHO to suppress pausing when printing.  The prompts will not be printed,
ECHO and SDL will not pause at an intermediate menu or the rest of the
ECHO directory list would not be printed.
ECHO * * *
ECHO Notice that when exiting, SDL ejects the Insert or Label and positions
ECHO the next one automatically.
ECHO * * *
ECHO If you print an even number of Inserts, your TOF will be back to where
ECHO you had it set.  If you print an odd number, it will be in the middle
ECHO of the page, but this allows two Inserts on a page, and can save paper
ECHO when printing several inserts.  Please note that you can set the sleeve
ECHO Insert option to eject a full page if you want to by using SDLSETUP.
ECHO That way your TOF setting will not be disturbed.
ECHO * * *
sdl_get N "Enter Y to continue, N to repeat the previous demo (Y,n)? "
if errorlevel 126 goto end
if errorlevel 78 if not errorlevel 79 goto third
:fourth
sdl_get B
ECHO * * *
ECHO If you do not include /P on the command line, then you can select
ECHO printing by pressing P when it is shown highlighted on the menu.
ECHO When you initiate printing this way, SDL assumes that you have
ECHO adjusted the number of columns to your liking and will print "as
ECHO is."  If you are printing labels make sure that you do not have
ECHO more rows of file names than will fit on a label.  5 or 7 for
ECHO L depending on the Hdr toggle setting, and 11 or 13 for T, or
ECHO more if you have selected more when running SDLSETUP.
ECHO * * *
ECHO Notice that the first items on the menu are [Prn OFF ff OFF].
ECHO When you start printing the first one will change to [Prn ON].
ECHO If you press C the second will change to [ff ON].  You can turn
ECHO both off again by pressing P for the print menu, then pressing Esc.
ECHO * * *
pause
ECHO This time we will let you make all the selections.  Use 2, 4, or 6
ECHO to adjust the number of columns, then press P for the print menu,
ECHO and select the type of printing you want.  Experiment with Cls
ECHO when you see it on the menu, and try turning printing off with Esc.
ECHO We will also use the /E option to let you enter your own titles
ECHO in the header.
ECHO * * *
ECHO The command is simply
ECHO SDL /e
ECHO * * *
pause
SDL /e
ECHO * * *
ECHO When using the /E option to enter titles you can blank out a title
ECHO line completely by entering one or more spaces.  To keep any
ECHO line of the title unchanged, just press Enter with no spaces.
ECHO * * *
ECHO That was the last printing demo.
ECHO * * *
sdl_get N "Enter Y to exit, N to repeat the previous demo (Y,n)? "
if errorlevel 78 if not errorlevel 79 goto fourth
:end
MENU
:ENVIRON
MENU ENVIRON
