ECHO OFF
IF (%SDL%) == () SET SDL=S
IF (%SDL%) == () GOTO ENVIRON
:FIRST
sdl_get BE %A%
ECHO * * *
ECHO The first thing we will do is simply enter SDL all by itself.
ECHO All you have to do is to find the key marked Esc and press
ECHO it when the display pauses and waits for your input.
ECHO * * *
ECHO The default sort order (by Name) will be shown if SDL is in its
ECHO original default configuration. Just observe the general format
ECHO of the output and press Esc when you are ready to continue. Do
ECHO not experiment with any other keys just yet.
ECHO * * *
pause
sdl
ECHO * * *
if errorlevel 73 goto IS6
if errorlevel 37 goto IS4
ECHO In this case all of the file names fit on one screen in two columns.
GOTO MORE
:IS6
ECHO Notice that the file names were displayed in six columns.
GOTO MORE
:IS4
ECHO Notice that the file names were displayed in four columns.
:MORE
ECHO * * *
ECHO If there are more file names than will fit in two columns, SDL will
ECHO adjust the number of columns to try to fit them all on one screen.
ECHO You can override this automatic adjustment by using a number option
ECHO such as /2 or /4.
ECHO Whenever the disk contains more files than can be fit on one screen,
ECHO you will notice a pause when the screen is full before the directory
ECHO is fully displayed.  There are optional keys (N,X,S,D,O,2,4,6,Esc,etc.)
ECHO listed on the bottom line.  Any other key (such as Enter or space)
ECHO will continue with the display. C or PgDn will clear the screen
ECHO before displaying the next page.
ECHO * * *
ECHO By the way, SDL sets the ERRORLEVEL to the number of files so in a batch
ECHO program such as this you can check (as we did above) for this information.
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FIRST
:SECOND
sdl_get B
ECHO * * *
ECHO The next demo is simply to enter SDL for the current directory
ECHO and specify a 2 column display.  Notice the 2 columns of file
ECHO names, and the option menu at the bottom of the display.  You
ECHO may experiment by pressing any of the keys shown in CAPS or
ECHO numbers to change the display.  If you press P or L
ECHO you will see the print menu.  Be sure your printer is on line if
ECHO you decide to try printing.   (Otherwise your system may hang.)
ECHO If you press E you will be asked to enter new titles.  That's OK.
ECHO If you are adventurous just follow the prompts.
ECHO * * *
ECHO To exit and return to this DEMO press Esc to leave the directory on
ECHO the screen, or either the space bar or Enter key to clear the screen.
ECHO This may look like the previous demo depending on the number of files.
ECHO (In the evaluation version the moving registration message may cover
ECHO up the bottom row of the display if it extends down that far.)
ECHO * * *
ECHO SDL /2
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FIRST
SDL /2
sdl_get B
:THIRD
ECHO * * *
ECHO As you can see, SDL works very much like DIR, only it is much
ECHO more powerful and versatile.  You will probably never want to
ECHO use DIR again.  Did you notice how the files were sorted?  Not
ECHO helter skelter like DIR, but in alphabetical order.  If you use
ECHO different extensions on your files to denote different uses for
ECHO the files, you might like to see the files sorted by extension.
ECHO To do this it is not necessary to exit to DOS and run SDL all over
ECHO again.  You can easily change the sort order by pressing one of
ECHO the keys: X for eXtension, S for Size, D for Date and time, N
ECHO for Name, or O to not sort at all and show the files in the
ECHO same order as DIR would.  Try it.  The files will be sorted by
ECHO eXtension.  Try the other keys and observe the differences.
ECHO * * *
ECHO The "command line" is the line on which you enter your commands at the
ECHO DOS prompt. When we show the options as / something, we mean that they
ECHO are entered on the command line from the DOS prompt after SDL,
ECHO not at the end of the display.  To make a menu selection at the
ECHO end of the display simply press the key without the / and without
ECHO Enter. Now we are ready to enter the command to sort by eXtension
ECHO and we will also specify a 4 column display.
ECHO * * *
ECHO SDL /x /4
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto SECOND
sdl_get B
ECHO The last one went by pretty fast, so this time we'll include
ECHO /c to turn the screen clearing OFF and let you see what is happening.
echo Note the file order, and press a sort key:  n x s d o
sdl  /x/c/4
ECHO off
:FOURTH
sdl_get B
ECHO * * *
ECHO There are two options that control aspects of the screen display.
ECHO the /C option toggles the clearing of the screen both before and
ECHO after the directory listing is displayed.  If the screen has been
ECHO clearing before showing the directory (the original default), then
ECHO /C will cause it not to clear, but to scroll.  This may slow down
ECHO the display slightly.  Press C at the end to clear the screen.
ECHO * * *
ECHO The /H option will turn off the first two lines of the header (Hdr)
ECHO This makes room for two more rows of file names.  The first Hdr row
ECHO is more useful for floppies because it shows the volume label, but
ECHO if you are listing files on a hard disk, the first two rows don't
ECHO give you any new information, and can easily be dispensed with unless
ECHO you need the reminder line.  /H is also a toggle, so if the first 2
ECHO lines have been turned off, /H will turn them back on.
ECHO * * *
ECHO Let's display all files ending in .DOC.  The command is
ECHO * * *
ECHO sdl *.doc /c/h
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto THIRD
ECHO We are turning "echo" ON so you can see the command.
ECHO Now try pressing H and C to see the effects.  Look for a "hidden" file.
echo on
sdl *.doc /c/h
ECHO off
:FIFTH
ECHO * * *
ECHO In the previous 2 column display you may have noticed a column
ECHO labelled Atr.  This column shows the file attributes as H for hidden,
ECHO R for read only, S for system, and A if the archive bit is set.
ECHO * * *
ECHO Two options control the types of files that will be displayed. The /A
ECHO option stands for All and controls the display of sub-directories and
ECHO hidden files. It is another toggle, so using /A will change it from the
ECHO default which originally is ON  (DIRs and hidden are shown).
ECHO Hidden files can't hide from SDL unless you want them to.
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FOURTH
ECHO * * *
ECHO The /k option shows only files that have their archive bit set.
ECHO This will be of interest to you if you use a bacKup program that
ECHO uses the archive bit to determine which files need backing up.
ECHO (The DOS BACKUP command is one.)  Don't use /A and /K at the
ECHO same time.  /K takes precedence and cancels /A.  You can also press
ECHO the A or K keys when shown on the menu to change the display without
ECHO exiting back to the DOS prompt.
ECHO * * *
ECHO This time we will specify a 2 column display and use the /K option
ECHO so you can see the A's in the Atr column.  We will also use /M (for More)
ECHO to turn off the pause at the end of the display (but to give you
ECHO time to read, we will have DOS pause for you.  This time any
ECHO key at all will continue, so don't press one until ready.)
ECHO The command is
ECHO * * *
ECHO SDL /k/m/2
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FOURTH
sdl /k/m/2
pause
:SIXTH
ECHO * * *
ECHO Notice that by not pausing, the menu at the end of the directory is
ECHO not available.  There are times when this might be useful.  Not
ECHO pausing also suppresses the intermediate pause if the screen fills.
ECHO If you have been using fewer files than will fill a screen, you
ECHO have not seen the pause at the end of the intermediate screens,
ECHO only the final screen.  You can demonstrate this for yourself by
ECHO running SDL on a directory or disk with more files.  When you do
ECHO that you will see the pause prompt starting with --More-- indicating
ECHO that the keys shown will do something other than just continue with
ECHO the next screen.  If you press one of them, SDL will immediately
ECHO start the display over again using the number of columns you specify.
ECHO Any other key will continue.  Try it later on a larger directory.  
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FIFTH
sdl_get B
ECHO * * *
ECHO Another key that is available at either an intermediate or final pause
ECHO is the Esc (for Escape) key.  This will exit immediately without
ECHO clearing the screen.  Try it on this next display which will also
ECHO use the /A option.  If this is a subdirectory, or has any hidden
ECHO files, you would have seen them with the default configuration.  If
ECHO so, the /A will now turn them off (it is one of the toggles).  We have
ECHO included a hidden file for the demo. If you saw it before you won't
ECHO now.  The command is
ECHO * * *
ECHO SDL /A/C
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto FIFTH
sdl_get B
ECHO Press the Esc key when you want to exit.... . . .   .   .   .   .
sdl /a/c
:SEVENTH
ECHO * * *
ECHO That time we did not use the DOS Cls command, so the screen did not
ECHO clear, but is now scrolling.  Exiting with Esc is the way to keep
ECHO the directory on the screen if you want to.
ECHO * * *
ECHO To summarize all the available commands there is a /? option which will
ECHO display a screen of HELP information.  It is a brief summary of everything
ECHO available in SDL.  Because SDL is so powerful, it may be a little
ECHO overwhelming at first, but it is nice to know that /? is available
ECHO in case you ever need a reminder of some little used, but available,
ECHO option.
ECHO Because of the many new features in SDL, there are now two help
ECHO screens.  The second one explains the print options and can be seen
ECHO by pressing P at the end of the first screen as shown on the menu.
ECHO When you exit, /? does not pause at the end of the display so we will
ECHO again use the DOS PAUSE command to give you time to read the screen.
ECHO This time the commmand is simply
ECHO * * *
ECHO SDL /?
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto SIXTH
sdl /?
pause
:EIGHTH
sdl_get B
ECHO * * *
ECHO A useful feature of SDL is that it allows you to specify replace-
ECHO ment text for three title lines with the /E option.  This lets
ECHO you print labels and sleeve inserts with descriptions,
ECHO identification, instructions, etc.
ECHO * * *
ECHO The first two lines can also be customized to your liking by using
ECHO the setup program SDLSETUP.  For example you can change them to show
ECHO your company name, address and telephone number to positively
ECHO identify the source of the disk.  You can still use /E to make
ECHO temporary changes whenever you want to, and if you forget the /E
ECHO you can enter E as an option at the end menu.
ECHO * * *
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto end
if not errorlevel 89 goto SEVENTH
sdl_get B
ECHO * * *
ECHO As the last non-printing demo, we will invoke the /E option and
ECHO let you enter any 1, 2, or 3 lines you want to.  Notice how they show
ECHO up at the top of the display.  The H option still gives control
ECHO over the display of the first two title lines.  Try pressing the H
ECHO key at the end of the display and watch the first two lines flip
ECHO from on to off or off to on.
ECHO * * *
ECHO This time we'll show 6 COLS and look only at the COM files.
ECHO The command is
ECHO * * *
ECHO SDL *.com /E/6/c
ECHO * * *
ECHO To leave a line unchanged just press Enter.  To blank out an entire
ECHO line, just enter one or more spaces.
ECHO ON
sdl *.com /e/6/c
ECHO Off
IF NOT .%1==.YES GOTO NOPRINT
ECHO Now we are ready to begin the printing demos.
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if errorlevel 126 goto NOPRINT
if not errorlevel 89 goto EIGHTH
sdl_get B
demoprn
:NOPRINT
ECHO * * *
ECHO You have requested to not include the printing demos at this time.
ECHO Printing of labels and sleeve inserts is a valuable feature of SDL.
ECHO SDL has some automatic printing features that greatly
ECHO simplify the printing of labels.  The /L (for Label) option does
ECHO all of the calculation necessary to fit the file names onto the
ECHO label. The /I (for Insert) option will print a sleeve insert.
REM The /I and /L options will automatically calculate the number of
REM columns needed for the number of file names to be printed.
ECHO * * *
ECHO Please be sure to run the DEMO with printing, and/or read
ECHO the documentation to learn more about it.
ECHO Press Y to continue when ready, N to repeat the previous demo...
sdl_get N "Continue? "
if not errorlevel 89 goto EIGHTH
:end
MENU
:ENVIRON
MENU ENVIRON
